Name: slrn
Version: 0.9.6.4
Release: 2
Copyright: GPL
Group: Applications/Internet
Source0: ftp://space.mit.edu/pub/davis/slrn/slrn-%{version}.tar.gz
Source1: slrnpull-expire
Source2: slrnpull.log
Source4: README.rpm-slrnpull
Patch0: slrn-0.9.5.3-config.patch
Patch1: slrn-0.9.5.3-strength.patch
Patch2: slrn-0.9.6.4-buffer.patch
Patch3: slrn-0.9.6.4-ssl.patch
Patch4: slrn-scorefile.patch
Requires: slang >= 1.2.2
BuildRoot: /var/tmp/slrn-build
URL: http://space.mit.edu/~davis/slrn.html
Summary: A threaded Internet news reader.

%description
SLRN is a threaded Internet news reader. SLRN is highly customizable
and allows users to design complex filters for sorting or killing news
articles.  SLRN works well over slow network lines.  A helper utility
for reading news offline is provided in the slrn-pull package.

%package pull
Summary: Offline news reading support for the SLRN news reader.
Group: Applications/Internet
Requires: slrn = %{version}

%description pull
The slrn-pull package provides the slrnpull utility, which allows you
to set up a small news spool for offline news reading using the SLRN
news reader.  You'll also need to have the slrn package installed to
use the slrnpull utility.

%prep
%setup
%patch1 -p1 -b .strength
%patch0 -p1 -b .config
%patch2 -p1 -b .buffer
%patch3 -p1 -b .ssl
%patch4 -p1 -b .scorefile

%build
slrn_cv_domain=no %configure --with-ssl
make
make slrnpull

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/slrn}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc/{cron.daily,logrotate.d,X11/applnk/Internet}
install doc/slrn.rc $RPM_BUILD_ROOT/usr/lib/slrn
install doc/slrn.1 $RPM_BUILD_ROOT%{_mandir}/man1/slrn.1
install -s src/objs/slrn $RPM_BUILD_ROOT/usr/bin/slrn
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/slrn.desktop <<EOF
[Desktop Entry]
Name=slrn
Name[sv]=slrn
Type=Application
Comment=Usenet News Reader
Comment[sv]=Usenet-diskussionsgruppslsare
Exec=slrn
Terminal=true
EOF

install -s src/objs/slrnpull $RPM_BUILD_ROOT/usr/bin/slrnpull
install -d $RPM_BUILD_ROOT/var/spool/slrnpull/out.going
install slrnpull/slrnpull.conf $RPM_BUILD_ROOT/var/spool/slrnpull
install $RPM_SOURCE_DIR/slrnpull-expire $RPM_BUILD_ROOT/etc/cron.daily
install $RPM_SOURCE_DIR/slrnpull.log $RPM_BUILD_ROOT/etc/logrotate.d/slrnpull
cp $RPM_SOURCE_DIR/README.rpm-slrnpull slrnpull/README.rpm
cp macros/*.sl $RPM_BUILD_ROOT/usr/lib/slrn
chmod 644 slrnpull/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT changes.txt doc/FAQ doc/INSTALL
%doc README doc/README.GroupLens doc/README.macros
%doc doc/SCORE_FAQ doc/*.txt doc/score.sl 
%doc macros
%config (missingok) /etc/X11/applnk/Internet/slrn.desktop
%dir /usr/lib/slrn
%config /usr/lib/slrn/slrn.rc
%attr(755,root,root) /usr/bin/slrn
%{_mandir}/man1/slrn.1*

%files pull
%defattr(-,root,root)
%doc slrnpull/*
%attr(755,root,root) /etc/cron.daily/slrnpull-expire
%attr(644,root,root) /etc/logrotate.d/slrnpull
%attr(2750,root,news) /usr/bin/slrnpull
%attr(775,news,news) %dir /var/spool/slrnpull
%attr(3777,news,news) %dir /var/spool/slrnpull/out.going
%attr(644,news,news) %config /var/spool/slrnpull/slrnpull.conf

%changelog
* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Nov 28 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9.6.4
- enable SSL
- plug some possible buffer overflows (#12750)
- install sample macros in /usr/lib/slrn

* Thu Aug 16 2000 Bill Nottingham <notting@redhat.com>
- tweak summary/description

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- add translation to desktop entry

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Bill Nottingham <notting@redhat.com>
- make slrnpull root.news, not news.news (#12428)

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- fix startup (#11658)
- fix manpage (#11973)

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- man pages are compressed

* Thu Jan  6 2000 Bill Nottingham <notting@redhat.com>
- fix typo in slrn.rc file

* Thu Dec 30 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.6.2

* Mon Dec 20 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.6.0

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- fix perms on slrnpull logrotate

* Fri Jul 16 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.7

* Mon May 17 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.6

* Thu May  6 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.5

* Fri Apr 23 1999 Bill Nottingham <notting@redhat.com>
- make slrnpull setgid news

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- make slrnpull/log missingok

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov  9 1998 Bill Nottingham <notting@redhat.com>
- add bugfix patch from jed

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.4

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- built for Raw Hide
- added bugfix patch

* Tue Sep 8 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.3-2]
- Fixed a couple of stupid things I did.
- Took out -fno-strength-reduce. AFAIK, gcc on RH5.1 doesn't have this bug. I
  use egcs which shouldn't have this bug. And if you have this bug, *and* are
  recompiling on your own machin, you should have -fno-strength-reduce in your
  RPM_OPT_FLAGS anyway.

* Tue Sep 8 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.3-1]
- Updated to 0.9.5.3

* Mon Jun 1 1998 Manoj Kasichainula <manojk+rpm@io.com>
- added translations from RH 5.1 (still none for slrn-pull package)

* Mon May 4 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.2-1]
- updated to 0.9.5.2

* Wed Apr 22 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.1-1]
- updated to 0.9.5.1

* Mon Apr 12 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.4.6-3]
- updated to require slang 1.2.1

* Sun Apr 12 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.4.6-2]
- updated to require slang 1.2.0

* Wed Feb 11 1998 Manoj Kasichainula <manojk+rpm@io.com>
(my unreleased 0.9.4.6-1)
- updated to 0.9.4.6

* Tue Feb 3 1998 Manoj Kasichainula <manojk+rpm@io.com>
- docs are now forced to 644 to prevent including /bin/sh as a requirement
- added macros in the doc directory
- should now be buildable by non-root

* Thu Jan 29 1998 Bill Nottingham <wen1@cec.wustl.edu>
- updated to 0.9.4.5
- added wmconfig entry

* Sat Sep 13 1997 Manoj Kasichainula <manojk+rpm@io.com> (0.9.4.3-2)
- Fixes from JED
- default mode for slrnpull posts set to 0640, so slrnpull can read it as
  non-root
- lots of pre-setup for slrnpull
  - directories set up
  - automatic daily expiration
  - moved slrnpull directory to /var/spool/slrnpull, to match (most) docs
  - more 
- minor spec file changes

* Sat Jul 12 1997 Manoj Kasichainula <manojk+rpm@io.com> (0.9.4.3-1)
- Initial release for 0.9.4.3
